commit: f20b2d96120529ca33344e38840b454b56beff86
Author: Kent Fredric <kentnl <AT> gentoo <DOT> org>
AuthorDate: Thu Aug 6 15:53:22 2020 +0000
Commit: Kent Fredric <kentnl <AT> gentoo <DOT> org>
CommitDate: Thu Aug 6 15:54:57 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f20b2d96
dev-perl/Ace: Cleanup old 1.920.0-r{3,4,5}
Closes: https://bugs.gentoo.org/723152
Closes: https://bugs.gentoo.org/716266
Package-Manager: Portage-2.3.103, Repoman-2.3.22
Signed-off-by: Kent Fredric <kentnl <AT> gentoo.org>
dev-perl/Ace/Ace-1.920.0-r3.ebuild | 116 -------------------------
dev-perl/Ace/Ace-1.920.0-r4.ebuild | 137 -----------------------------
dev-perl/Ace/Ace-1.920.0-r5.ebuild | 139 ------------------------------
dev-perl/Ace/files/Ace-1.92-glibc26.patch | 29 -------
4 files changed, 421 deletions(-)
diff --git a/dev-perl/Ace/Ace-1.920.0-r3.ebuild
b/dev-perl/Ace/Ace-1.920.0-r3.ebuild
deleted file mode 100644
index 202d5f70f02..00000000000
--- a/dev-perl/Ace/Ace-1.920.0-r3.ebuild
+++ /dev/null
@@ -1,116 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-DIST_NAME=AcePerl
-DIST_AUTHOR=LDS
-DIST_VERSION=1.92
-DIST_EXAMPLES=("examples/*")
-inherit perl-module toolchain-funcs
-
-DESCRIPTION="Object-Oriented Access to ACEDB Databases"
-
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="test"
-RESTRICT="!test? ( test )"
-
-RDEPEND="virtual/perl-Digest-MD5
- dev-perl/Cache-Cache
- dev-perl/GD
- elibc_glibc? ( net-libs/libtirpc net-libs/rpcsvc-proto )
-"
-DEPEND="${RDEPEND}"
-
-src_prepare() {
- eapply "${FILESDIR}/${PN}-1.92-rpcxs.patch"
- eapply "${FILESDIR}/${PN}-1.92-gcc-nonvoid.patch"
-
- cat > "${S}/acelib/wmake/DARWIN_DEF" <<EOF
-NAME = DARWIN
-COMPILER = $(tc-getCC) -fwritable-strings -DACEDB4 -DPOSIX
-LINKER = $(tc-getLD)
-
-LIBS = -lm
-
-EOF
-
- if use elibc_glibc ; then
- eapply "${FILESDIR}/${PN}-1.92-glibc26.patch"
- export LIBS="-ltirpc"
- fi
-
- export MAKEOPTS="-j1"
- perl-module_src_prepare
-}
-
-src_test() {
- local MODULES=(
- "Ace ${DIST_VERSION}"
- "Ace::Freesubs 1.00"
- "Ace::Graphics::Fk" # NO VERSION
- "Ace::Graphics::Glyph"
- "Ace::Graphics::Glyph::anchored_arrow"
- "Ace::Graphics::Glyph::arrow"
- "Ace::Graphics::Glyph::box"
- "Ace::Graphics::Glyph::crossbox"
- "Ace::Graphics::Glyph::dot"
- "Ace::Graphics::Glyph::ex"
- "Ace::Graphics::Glyph::graded_segments"
- "Ace::Graphics::Glyph::group"
- "Ace::Graphics::Glyph::line"
- "Ace::Graphics::Glyph::primers"
- "Ace::Graphics::Glyph::segments"
- "Ace::Graphics::Glyph::span"
- "Ace::Graphics::Glyph::toomany"
- "Ace::Graphics::Glyph::transcript"
- "Ace::Graphics::Glyph::triangle"
- "Ace::Graphics::GlyphFactory"
- "Ace::Graphics::Panel"
- "Ace::Graphics::Track"
- "Ace::Iterator 1.51"
- "Ace::Local 1.05"
- "Ace::Model 1.51"
- "Ace::Object 1.66"
- "Ace::Object::Wormbase"
- "Ace::RPC 1.00"
- "Ace::Sequence 1.51"
- "Ace::Sequence::Feature"
- "Ace::Sequence::FeatureList"
- "Ace::Sequence::GappedAlignment 1.20"
- "Ace::Sequence::Gene"
- "Ace::Sequence::Homol"
- "Ace::Sequence::Multi"
- "Ace::Sequence::Transcript"
- "Ace::SocketServer 1.01"
- "GFF::Filehandle"
-# Need Ace::Browser
-# "Ace::Browser::AceSubs ${DIST_VERSION}"
-# "Ace::Browser::GeneSubs ${DIST_VERSION}"
-# "Ace::Browser::SearchSubs ${DIST_VERSION}"
-# "Ace::Browser::SiteDefs ${DIST_VERSION}"
-# "Ace::Browser::TreeSubs ${DIST_VERSION}"
- )
- local failed=()
- for dep in "${MODULES[@]}"; do
- ebegin "Compile testing ${dep}"
- perl -Mblib="${S}" -M"${dep} ()" -e1
- eend $? || failed+=( "$dep" )
- done
- if [[ ${failed[@]} ]]; then
- echo
- eerror "One or more modules failed compile:";
- for dep in "${failed[@]}"; do
- eerror " ${dep}"
- done
- die "Failing due to module compilation errors";
- fi
- if ! has "network" "${DIST_TEST_OVERRIDE:-${DIST_TEST:-do parallel}}";
then
- ewarn "This package needs network access to run its full test
suite"
- ewarn "For details, see:"
- ewarn
"https://wiki.gentoo.org/wiki/Project:Perl/maint-nodes/dev-perl/Ace"
- else
- perl-module_src_test
- fi
-}
diff --git a/dev-perl/Ace/Ace-1.920.0-r4.ebuild
b/dev-perl/Ace/Ace-1.920.0-r4.ebuild
deleted file mode 100644
index ceb1838ad0a..00000000000
--- a/dev-perl/Ace/Ace-1.920.0-r4.ebuild
+++ /dev/null
@@ -1,137 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-DIST_NAME=AcePerl
-DIST_AUTHOR=LDS
-DIST_VERSION=1.92
-DIST_EXAMPLES=("examples/*")
-inherit perl-module toolchain-funcs
-
-DESCRIPTION="Object-Oriented Access to ACEDB Databases"
-
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="test"
-RESTRICT="!test? ( test ) mirror"
-# License note: Indemnification and Attribution-if-Used bug #718936
-RDEPEND="
- virtual/perl-Digest-MD5
- dev-perl/Cache-Cache
- dev-perl/GD
-"
-DEPEND="
- elibc_glibc? ( net-libs/libtirpc net-libs/rpcsvc-proto )
- elibc_musl? ( net-libs/libtirpc net-libs/rpcsvc-proto )
- elibc_uclibc? ( net-libs/libtirpc net-libs/rpcsvc-proto )
-"
-BDEPEND="
- ${RDEPEND}
- ${DEPEND}
-"
-mydoc="DISCLAIMER.txt"
-src_prepare() {
- eapply "${FILESDIR}/${PN}-1.92-rpcxs.patch"
- eapply "${FILESDIR}/${PN}-1.92-gcc-nonvoid.patch"
-
- cat > "${S}/acelib/wmake/DARWIN_DEF" <<EOF
-NAME = DARWIN
-COMPILER = $(tc-getCC) -fwritable-strings -DACEDB4 -DPOSIX
-LINKER = $(tc-getLD)
-
-LIBS = -lm
-
-EOF
-
- if use elibc_glibc || use elibc_musl || use elibc_uclibc ; then
- # Confusing name, should have been not specific to glibc
- eapply "${FILESDIR}/${PN}-1.92-glibc26.patch"
- export LIBS="-ltirpc"
- fi
-
- export MAKEOPTS="-j1"
- perl-module_src_prepare
-}
-
-src_test() {
- local MODULES=(
- "Ace ${DIST_VERSION}"
- "Ace::Freesubs 1.00"
- "Ace::Graphics::Fk" # NO VERSION
- "Ace::Graphics::Glyph"
- "Ace::Graphics::Glyph::anchored_arrow"
- "Ace::Graphics::Glyph::arrow"
- "Ace::Graphics::Glyph::box"
- "Ace::Graphics::Glyph::crossbox"
- "Ace::Graphics::Glyph::dot"
- "Ace::Graphics::Glyph::ex"
- "Ace::Graphics::Glyph::graded_segments"
- "Ace::Graphics::Glyph::group"
- "Ace::Graphics::Glyph::line"
- "Ace::Graphics::Glyph::primers"
- "Ace::Graphics::Glyph::segments"
- "Ace::Graphics::Glyph::span"
- "Ace::Graphics::Glyph::toomany"
- "Ace::Graphics::Glyph::transcript"
- "Ace::Graphics::Glyph::triangle"
- "Ace::Graphics::GlyphFactory"
- "Ace::Graphics::Panel"
- "Ace::Graphics::Track"
- "Ace::Iterator 1.51"
- "Ace::Local 1.05"
- "Ace::Model 1.51"
- "Ace::Object 1.66"
- "Ace::Object::Wormbase"
- "Ace::RPC 1.00"
- "Ace::Sequence 1.51"
- "Ace::Sequence::Feature"
- "Ace::Sequence::FeatureList"
- "Ace::Sequence::GappedAlignment 1.20"
- "Ace::Sequence::Gene"
- "Ace::Sequence::Homol"
- "Ace::Sequence::Multi"
- "Ace::Sequence::Transcript"
- "Ace::SocketServer 1.01"
- "GFF::Filehandle"
-# Need Ace::Browser
-# "Ace::Browser::AceSubs ${DIST_VERSION}"
-# "Ace::Browser::GeneSubs ${DIST_VERSION}"
-# "Ace::Browser::SearchSubs ${DIST_VERSION}"
-# "Ace::Browser::SiteDefs ${DIST_VERSION}"
-# "Ace::Browser::TreeSubs ${DIST_VERSION}"
- )
- local failed=()
- for dep in "${MODULES[@]}"; do
- ebegin "Compile testing ${dep}"
- perl -Mblib="${S}" -M"${dep} ()" -e1
- eend $? || failed+=( "$dep" )
- done
- if [[ ${failed[@]} ]]; then
- echo
- eerror "One or more modules failed compile:";
- for dep in "${failed[@]}"; do
- eerror " ${dep}"
- done
- die "Failing due to module compilation errors";
- fi
- if ! has "network" "${DIST_TEST_OVERRIDE:-${DIST_TEST:-do parallel}}";
then
- ewarn "This package needs network access to run its full test
suite"
- ewarn "For details, see:"
- ewarn
"https://wiki.gentoo.org/wiki/Project:Perl/maint-nodes/dev-perl/Ace"
- ewarn ""
- else
- perl-module_src_test
- fi
-}
-
-pkg_postinst() {
- ewarn "This package requests that publications that made use of this
software"
- ewarn "in the process of their research attribute it."
- ewarn ""
- ewarn "This package's licensing terms also include indemnification
clauses"
- ewarn "which may apply to you, and are currently under decision in"
- ewarn " Bug: https://bugs.gentoo.org/718936"
- ewarn ""
- ewarn "Please read ${EROOT}/usr/share/doc/${PF}/DISCLAIMER.*"
-}
diff --git a/dev-perl/Ace/Ace-1.920.0-r5.ebuild
b/dev-perl/Ace/Ace-1.920.0-r5.ebuild
deleted file mode 100644
index 8d33aff5d25..00000000000
--- a/dev-perl/Ace/Ace-1.920.0-r5.ebuild
+++ /dev/null
@@ -1,139 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-DIST_NAME=AcePerl
-DIST_AUTHOR=LDS
-DIST_VERSION=1.92
-DIST_EXAMPLES=("examples/*")
-inherit perl-module toolchain-funcs
-
-DESCRIPTION="Object-Oriented Access to ACEDB Databases"
-
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="test"
-RESTRICT="!test? ( test ) mirror"
-# License note: Indemnification and Attribution-if-Used bug #718936
-RDEPEND="
- virtual/perl-Digest-MD5
- dev-perl/Cache-Cache
- dev-perl/GD
-"
-DEPEND="
- elibc_glibc? ( net-libs/libtirpc net-libs/rpcsvc-proto )
- elibc_musl? ( net-libs/libtirpc net-libs/rpcsvc-proto )
- elibc_uclibc? ( net-libs/libtirpc net-libs/rpcsvc-proto )
-"
-BDEPEND="
- ${RDEPEND}
- ${DEPEND}
-"
-mydoc="DISCLAIMER.txt"
-src_prepare() {
- eapply "${FILESDIR}/${PN}-1.92-rpcxs.patch"
- eapply "${FILESDIR}/${PN}-1.92-gcc-nonvoid.patch"
- eapply "${FILESDIR}/${PN}-1.92-toolchain.patch"
- cp "${FILESDIR}/${PN}-1.92-DARWIN_DEF" "${S}/acelib/wmake/DARWIN_DEF"
|| die "can't copy DARWIN_DEF"
- if use elibc_glibc || use elibc_musl || use elibc_uclibc ; then
- export LIBS="-ltirpc"
- fi
- export MAKEOPTS="-j1"
- perl-module_src_prepare
-}
-src_compile() {
- mymake=(
- "AR=$(tc-getAR)"
- "TARGET_CC=$(tc-getCC)"
- "TARGET_LD=$(tc-getLD)"
- "RANLIB=$(tc-getRANLIB)"
- )
- if use elibc_glibc || use elibc_musl || use elibc_uclibc ; then
- mymake+=( "LIBS=-ltirpc -lm" )
- mymake+=( "USEROPTS=-I/usr/include/tirpc -fPIC" )
- fi
- perl-module_src_compile
-}
-
-src_test() {
- local MODULES=(
- "Ace ${DIST_VERSION}"
- "Ace::Freesubs 1.00"
- "Ace::Graphics::Fk" # NO VERSION
- "Ace::Graphics::Glyph"
- "Ace::Graphics::Glyph::anchored_arrow"
- "Ace::Graphics::Glyph::arrow"
- "Ace::Graphics::Glyph::box"
- "Ace::Graphics::Glyph::crossbox"
- "Ace::Graphics::Glyph::dot"
- "Ace::Graphics::Glyph::ex"
- "Ace::Graphics::Glyph::graded_segments"
- "Ace::Graphics::Glyph::group"
- "Ace::Graphics::Glyph::line"
- "Ace::Graphics::Glyph::primers"
- "Ace::Graphics::Glyph::segments"
- "Ace::Graphics::Glyph::span"
- "Ace::Graphics::Glyph::toomany"
- "Ace::Graphics::Glyph::transcript"
- "Ace::Graphics::Glyph::triangle"
- "Ace::Graphics::GlyphFactory"
- "Ace::Graphics::Panel"
- "Ace::Graphics::Track"
- "Ace::Iterator 1.51"
- "Ace::Local 1.05"
- "Ace::Model 1.51"
- "Ace::Object 1.66"
- "Ace::Object::Wormbase"
- "Ace::RPC 1.00"
- "Ace::Sequence 1.51"
- "Ace::Sequence::Feature"
- "Ace::Sequence::FeatureList"
- "Ace::Sequence::GappedAlignment 1.20"
- "Ace::Sequence::Gene"
- "Ace::Sequence::Homol"
- "Ace::Sequence::Multi"
- "Ace::Sequence::Transcript"
- "Ace::SocketServer 1.01"
- "GFF::Filehandle"
-# Need Ace::Browser
-# "Ace::Browser::AceSubs ${DIST_VERSION}"
-# "Ace::Browser::GeneSubs ${DIST_VERSION}"
-# "Ace::Browser::SearchSubs ${DIST_VERSION}"
-# "Ace::Browser::SiteDefs ${DIST_VERSION}"
-# "Ace::Browser::TreeSubs ${DIST_VERSION}"
- )
- local failed=()
- for dep in "${MODULES[@]}"; do
- ebegin "Compile testing ${dep}"
- perl -Mblib="${S}" -M"${dep} ()" -e1
- eend $? || failed+=( "$dep" )
- done
- if [[ ${failed[@]} ]]; then
- echo
- eerror "One or more modules failed compile:";
- for dep in "${failed[@]}"; do
- eerror " ${dep}"
- done
- die "Failing due to module compilation errors";
- fi
- if ! has "network" "${DIST_TEST_OVERRIDE:-${DIST_TEST:-do parallel}}";
then
- ewarn "This package needs network access to run its full test
suite"
- ewarn "For details, see:"
- ewarn
"https://wiki.gentoo.org/wiki/Project:Perl/maint-nodes/dev-perl/Ace"
- ewarn ""
- else
- perl-module_src_test
- fi
-}
-
-pkg_postinst() {
- ewarn "This package requests that publications that made use of this
software"
- ewarn "in the process of their research attribute it."
- ewarn ""
- ewarn "This package's licensing terms also include indemnification
clauses"
- ewarn "which may apply to you, and are currently under decision in"
- ewarn " Bug: https://bugs.gentoo.org/718936"
- ewarn ""
- ewarn "Please read ${EROOT}/usr/share/doc/${PF}/DISCLAIMER.*"
-}
diff --git a/dev-perl/Ace/files/Ace-1.92-glibc26.patch
b/dev-perl/Ace/files/Ace-1.92-glibc26.patch
deleted file mode 100644
index 93913485b2f..00000000000
--- a/dev-perl/Ace/files/Ace-1.92-glibc26.patch
+++ /dev/null
@@ -1,29 +0,0 @@
-From 79cbe4803f73eab5474e709b20ed570a44071182 Mon Sep 17 00:00:00 2001
-From: =?UTF-8?q?Andreas=20K=2E=20H=C3=BCttel?= <[email protected]>
-Date: Sat, 31 Mar 2018 08:12:32 +1300
-Subject: Fix building with GlibC 2.26
-
-Bug: https://bugs.gentoo.org/637114
----
- acelib/wmake/LINUX_DEF | 4 ++--
- 1 file changed, 2 insertions(+), 2 deletions(-)
-
-diff --git a/acelib/wmake/LINUX_DEF b/acelib/wmake/LINUX_DEF
-index ba96774..bd89334 100644
---- a/acelib/wmake/LINUX_DEF
-+++ b/acelib/wmake/LINUX_DEF
-@@ -18,9 +18,9 @@
- NAME = LINUX
- COMPILER = gcc -g -Wall -O2 -DACEDB4
- LINKER = gcc -g
--USEROPTS=-fPIC
-+USEROPTS=-I/usr/include/tirpc -fPIC
-
--LIBS = -lm
-+LIBS = -ltirpc -lm
- Xt_LIBS = -L/usr/X11R6/lib -lXaw -lXt -lXmu -lXext -lX11
- LEX_LIBS =
-
---
-2.16.2
-